import { ITruAncestor } from "../interfaces/tru-ancestor";
export declare class TruPropertyConfigBase {
    constructor();
    isNullable: boolean;
    canDisplay: boolean | null | undefined;
    canEdit: boolean | null | undefined;
    readOnly: boolean;
    globalCache: boolean;
    uniqueConstraint: boolean;
    typeName: string | undefined;
    formatterName: string | undefined;
    formatter: ((value: any) => string | null | undefined) | undefined;
    choices: any;
    validation: string | undefined;
    excludeFromCloning: boolean;
    dependsOn: Array<ITruAncestor>;
}
