import { TruDesktopViewConfig } from '../components/desktop/classes/tru-desktop-view-config';
import { TruDesktopTitle } from '../components/desktop/classes/tru-desktop-title';
import { Subscription } from 'rxjs';
import { TruWindowEventHandler } from '../components/desktop/services/tru-window-event-handler';
import { TruTextManager } from '../services/tru-text-manager';
import * as i0 from "@angular/core";
export declare class TruViewBase {
    protected textManager: TruTextManager;
    protected windowEventHandler: TruWindowEventHandler;
    view: TruDesktopViewConfig;
    protected tableName: string;
    protected tablePluralName: string;
    protected tablePluralLabel: string;
    protected parentTableName: string;
    protected parentTablePluralName: string;
    protected parentTablePluralLabel: string;
    protected hasDetailView: boolean;
    protected pkeyName: string;
    protected windowTitle: TruDesktopTitle | undefined;
    protected windowConfig: any;
    protected expands: never[];
    protected contextFilters: any;
    protected isSearching: boolean;
    protected entities: Array<any>;
    protected entity: any;
    protected entityType: any;
    protected recordLocation: string | null;
    protected disableNavigationToPreviousEntity: boolean;
    protected disableNavigationToNextEntity: boolean;
    protected navigationIndex: number;
    protected recordsBeforeRevert: number;
    protected subs: Array<Subscription>;
    constructor(textManager: TruTextManager, windowEventHandler: TruWindowEventHandler);
    setEntityDisplayValues(tableName: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruViewBase, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruViewBase, "tru-view-base", never, { "view": { "alias": "view"; "required": false; }; }, {}, never, never, true, never>;
}
