export declare class TruFormulaEval {
    static isString(s: any): s is string;
    static isDate(v: any): boolean;
    static toValue(value: any): any;
    static toString(value: any): any;
    static toDouble(value: any): number;
    static toInteger(value: any): number;
    static toBoolean(value: any): number | boolean;
    static toDate(value: any): any;
    statictoDateTime(value: any): any;
    /**
     * Exposed for testing.
     */
    static _calculate(f: any, left: any, right: any): any;
    static _calculateDate(left: any, right: any, add: any): number | Date | null;
    static add(left: any, right: any): any;
    static subtract(left: any, right: any): any;
    static multiply(left: any, right: any): any;
    static divide(left: any, right: any): any;
    static power(left: any, right: any): any;
    static concatenate(left: any, right: any): any;
    static equal(left: any, right: any): boolean;
    static notEqual(left: any, right: any): boolean;
    static compareResultForMismatchedParams: any;
    static lessThan(left: any, right: any): boolean;
    static greaterThan(left: any, right: any): any;
    static lessThanOrEqual(left: any, right: any): boolean;
    static greaterThanOrEqual(left: any, right: any): any;
    static negate(operand: any): number;
    static percent(operand: any): number;
}
