import { Validator } from "breeze-client";
export declare class TruValidatorFactory {
    private satisfiesEntityMessageValidation;
    private satisfiesRequiredValidation;
    private satisfiesMaxLengthValidation;
    private satisfiesFloatValidation;
    private satisfiesIntegerValidation;
    private satisfiesDateValidation;
    private satisfiesInvalidChoiceValidation;
    private satisfiesMergeValidation;
    createEntityMessageValidator: () => Validator;
    createRequiredValidator: () => Validator;
    createMaxLengthValidator: (maxLength: any) => Validator;
    createIntegerValidator: () => Validator;
    createFloatValidator: () => Validator;
    createDateValidator: () => Validator;
    createInvalidChoiceValidator: () => Validator;
    createMergeValidator: () => Validator;
}
