import { TruViewMenuConfig } from "../../../classes/tru-view-menu-config";
import { TruEntityBase } from "../../../base-classes/tru-entity-base";
import { TruCardColumnData } from "./tru-card-column-data";
import { EntityQuery } from "breeze-client";
import { TruCardColumnSearchResultsConfigBase } from "./tru-card-column-search-results-config-base";
export interface ITruCardColumnConfig {
    parentTableName: string;
    parentTablePluralLabel: string;
    parentToChildRelationshipName: string;
    childTableName: string;
    childTablePluralLabel: string;
    key: string;
    lockProperty: string | null;
    preventAdd: boolean;
    color: string | null;
    unassignedVisible: any;
    unassignedName: string | null;
    unassignedLocked: any;
    unassignedColor: string | null;
    unassignedDraggable: boolean;
    unassignedDroppable: boolean;
    inactiveVisible: boolean;
    inactiveDraggable: boolean;
    inactiveDroppable: boolean;
    resultConfig: TruCardColumnSearchResultsConfigBase;
    viewMenuConfig: TruViewMenuConfig;
    width: number;
    columnSort?: (columns: Array<any>) => any;
    cardSort?: (cards: Array<any>) => any;
    data?: (entity: TruEntityBase) => TruCardColumnData;
    query?: (breezeQuery: EntityQuery, propertyName: string) => any;
    onCardColumnClicked: (entities: any) => void;
    onCardDoubleClicked: (entities: any, index: number) => void;
}
