import { EntityQuery } from "breeze-client";
import { TruCardColumnData } from "./tru-card-column-data";
import { TruCard } from "../tru-card";
import { ITruCardColumnConfig } from "./tru-card-column-config";
export declare abstract class TruCardColumnSearchResultsConfigBase {
    abstract rowDataEnhancer: (entity: any) => TruCardColumnData;
    abstract cardSort: (cards: Array<any>) => any;
    abstract query?: (breezeQuery: EntityQuery, propertyName: string) => any;
    abstract cardColumnId: (entity: any) => string | null | undefined;
    abstract cardId: (entity: any) => string | null | undefined;
    abstract cardColumnQuery: ((query: EntityQuery, relatedChildProperty: string) => any) | null;
    abstract cardView: ((card: TruCard, config: ITruCardColumnConfig) => void) | null;
}
