import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class TruConfirmDialog implements OnInit {
    dialogRef: MatDialogRef<TruConfirmDialog>;
    data: TruConfirmDialog;
    title: string;
    message: string;
    displayDismissButton: boolean;
    displayConfirmButton: boolean;
    dismissButtonName: string;
    confirmButtonName: string;
    constructor(dialogRef: MatDialogRef<TruConfirmDialog>, data: TruConfirmDialog);
    ngOnInit(): void;
    onConfirm(): void;
    onDismiss(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruConfirmDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruConfirmDialog, "tru-confirm-dialog", never, {}, {}, never, never, true, never>;
}
export declare class TruConfirmDialogConfig {
    title: string;
    message: string;
    displayDismissButton: boolean;
    displayConfirmButton: boolean;
    dismissButtonName: string;
    confirmButtonName: string;
    constructor(title: string, message: string, displayDismissButton: boolean, displayConfirmButton: boolean, dismissButtonName: string, confirmButtonName: string);
}
