import { MatMenuTrigger } from "@angular/material/menu";
import { ICellRendererParams } from "ag-grid-community";
import { TruDataGridClipboard } from "../services/tru-data-grid-clipboard";
import { TruUtil } from "../../../services/tru-util";
import * as i0 from "@angular/core";
export declare class TruDataGridPkeyCellRenderer {
    private dataGridClipboard;
    private util;
    contextMenu: MatMenuTrigger;
    params: ICellRendererParams;
    contextMenuPosition: {
        x: string;
        y: string;
    };
    displayValue: string;
    copyIsDisabled: boolean;
    pasteIsDisabled: boolean;
    private eGui;
    constructor(dataGridClipboard: TruDataGridClipboard, util: TruUtil);
    onRightClick: (event: MouseEvent) => void;
    onMouseDown: (event: MouseEvent) => void;
    onMouseUp: (event: MouseEvent) => void;
    onCopy: (event: MouseEvent) => void;
    onPaste: (event: MouseEvent) => void;
    agInit(params: any): void;
    getGui(): HTMLDivElement;
    refresh(): boolean;
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruDataGridPkeyCellRenderer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruDataGridPkeyCellRenderer, "ng-component", never, {}, {}, never, never, true, never>;
}
