import { ElementRef } from '@angular/core';
import { IHeaderAngularComp } from 'ag-grid-angular';
import { IHeaderParams } from 'ag-grid-community';
import * as i0 from "@angular/core";
export declare class TruDataGridRefHeader implements IHeaderAngularComp {
    headerRef: ElementRef;
    params: IHeaderParams;
    ascSort: boolean;
    descSort: boolean;
    isHovering: boolean;
    columnMenuIsOpen: boolean;
    showFilterMenu: boolean;
    filterIsActive: boolean;
    agInit(params: IHeaderParams): void;
    getHeaderParams(): IHeaderParams;
    refresh(params: IHeaderParams): boolean;
    onSelectAllIconClicked(): void;
    onFilterMenuButtonClicked(event: MouseEvent): void;
    onHeaderMouseEnter(event: MouseEvent): void;
    onHeaderMouseLeave(event: MouseEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruDataGridRefHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruDataGridRefHeader, "ng-component", never, {}, {}, never, never, true, never>;
}
