import { BehaviorSubject } from 'rxjs';
import { WindowConfig } from '../services/tru-desktop-service';
export declare class TruDesktopViewConfig {
    active$: BehaviorSubject<boolean>;
    onActive(): BehaviorSubject<boolean>;
    get active(): boolean;
    set active(value: boolean);
    entities: Array<any> | undefined;
    entityIndex: number;
    entityRefs: string;
    isDirty: boolean;
    isEditing: boolean;
    isInvalid: boolean;
    componentName: string;
    openAsDetaiView: boolean;
    actionRefs: string;
    window: WindowConfig;
    selectedRefs: () => string;
    url: string;
    title: string;
    constructor();
}
