import { ElementRef, Renderer2, SimpleChanges } from '@angular/core';
import { TruWindowEventHandler } from '../../services/tru-window-event-handler';
import { OverlayContainer } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class TruDesktopWindowStateMonitor {
    private el;
    private renderer;
    private windowEventHandler;
    private overlayContainer;
    active: boolean;
    private tabListener;
    private focusListener;
    private focusableElements;
    constructor(el: ElementRef, renderer: Renderer2, windowEventHandler: TruWindowEventHandler, overlayContainer: OverlayContainer);
    private setWindowState;
    private getFocusableChildElements;
    private focusAppropriateElement;
    onKeydown(event: KeyboardEvent): void;
    onFocusIn(event: FocusEvent): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruDesktopWindowStateMonitor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TruDesktopWindowStateMonitor, "[truDesktopWindowStateMonitor]", never, { "active": { "alias": "truDesktopWindowStateMonitor"; "required": false; }; }, {}, never, never, true, never>;
}
