import { ComponentFactoryResolver, Injector, OnInit, SimpleChanges, ViewContainerRef } from '@angular/core';
import { TruComponentLookup } from '../../../services/tru-component-lookup';
import { TruDesktopViewConfig } from '../classes/tru-desktop-view-config';
import * as i0 from "@angular/core";
export declare class TruDesktopView implements OnInit {
    private injector;
    private viewContainerRef;
    private componentFactoryResolver;
    private componentLookup;
    view: TruDesktopViewConfig;
    active: boolean;
    constructor(injector: Injector, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver, componentLookup: TruComponentLookup);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruDesktopView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruDesktopView, "tru-desktop-view", never, { "view": { "alias": "view"; "required": false; }; "active": { "alias": "active"; "required": false; }; }, {}, never, never, true, never>;
}
