import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class TruExportDialog implements OnInit {
    dialogRef: MatDialogRef<TruExportDialog>;
    data: TruExportDialog;
    title: string;
    constructor(dialogRef: MatDialogRef<TruExportDialog>, data: TruExportDialog);
    options: {
        useGrid: boolean;
        useNames: boolean;
        useEmptyTags: boolean;
        async: boolean;
    };
    onFormatForImportChecked: () => void;
    onConfirm(): void;
    onDismiss(): void;
    handleKeyboardEvent(event: KeyboardEvent): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruExportDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruExportDialog, "tru-export-dialog", never, {}, {}, never, never, true, never>;
}
export declare class TruExportDialogConfig {
    title: string;
    constructor(title: string);
}
