import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { TruUtil } from '../../services/tru-util';
import { TruGridValidationDialogConfig } from './tru-grid-validation-dialog-config';
import * as i0 from "@angular/core";
export declare class TruGridValidationDialog implements OnInit, OnDestroy {
    private renderer;
    private elementRef;
    private util;
    config: TruGridValidationDialogConfig;
    close: EventEmitter<any>;
    errorMsg: string;
    private rowElement;
    private cellElement;
    private listeners;
    constructor(renderer: Renderer2, elementRef: ElementRef, util: TruUtil);
    onAcceptAll: () => void;
    onAccept: () => void;
    onDecline: () => void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruGridValidationDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruGridValidationDialog, "tru-grid-validation-dialog", never, { "config": { "alias": "config"; "required": false; }; }, { "close": "close"; }, never, never, true, never>;
}
