import { Observable } from "rxjs";
import { TruAuthToken } from "./tru-auth-token";
import { TruUser } from "../../../services/tru-user";
import { TruAuthStrategy } from "./tru-auth-config";
export declare class TruAuthJwtStrategy implements TruAuthStrategy<TruAuthToken> {
    private readonly JWT_ACCESS_TOKEN;
    private readonly JWT_REFRESH_TOKEN;
    doLoginUser(token: TruAuthToken): void;
    doLogoutUser(): void;
    isLoggedIn(): boolean;
    createUser(user: TruUser): Observable<any>;
    getJwtToken(): any;
    getDecodedJwtJsonData(): {};
    getToken(): any;
}
