import { HttpClient } from "@angular/common/http";
import { TruAuthStrategy } from "./tru-auth-config";
import { TruUser } from "../../../services/tru-user";
import { Observable } from "rxjs";
export declare class TruAuthSessionStrategy implements TruAuthStrategy<TruUser> {
    private http;
    private loggedUser?;
    constructor(http: HttpClient);
    doLoginUser(user: TruUser): void;
    doLogoutUser(): void;
    createUser(user: TruUser): Observable<any>;
    isLoggedIn(): boolean;
}
