import { HttpClient } from "@angular/common/http";
import { TruAppEnvironment } from "../../../services/tru-app-environment";
import { TruAuthJwtStrategy } from "./tru-auth-jwt-strategy";
import { TruAuthSessionStrategy } from "./tru-auth-session-strategy";
export declare const TruAuthStrategyProvider: {
    provide: import("@angular/core").InjectionToken<import("./tru-auth-config").TruAuthStrategy<any>>;
    deps: (typeof TruAppEnvironment | typeof HttpClient)[];
    useFactory: (http: HttpClient, appEnvironment: TruAppEnvironment) => TruAuthJwtStrategy | TruAuthSessionStrategy;
};
