import { HttpClient } from '@angular/common/http';
import { OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TruAppEnvironment } from '../../services/tru-app-environment';
import { TruUiNotification } from '../../services/tru-ui-notification';
import * as i0 from "@angular/core";
export declare class TruPasswordDialog implements OnInit {
    dialogRef: MatDialogRef<TruPasswordDialog>;
    private http;
    private appEnvironment;
    private uiNotification;
    private data;
    currentPasswordControl: FormControl;
    newPasswordControl: FormControl;
    confirmNewPasswordControl: FormControl;
    showPasswordControl: FormControl;
    title: string | null;
    userRef: number;
    username: string | null;
    admin: boolean;
    message: string | null;
    showPassword: boolean;
    passwordScore: number | null;
    errorMsg: string | null;
    busy: boolean;
    private baseUrl;
    private subs;
    constructor(dialogRef: MatDialogRef<TruPasswordDialog>, http: HttpClient, appEnvironment: TruAppEnvironment, uiNotification: TruUiNotification, data: any);
    onPasswordStrengthChanged: (score: number | null) => void;
    onShowPasswordClicked: () => void;
    canSubmit: () => boolean;
    onConfirm: () => void;
    onDismiss: () => void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruPasswordDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruPasswordDialog, "tru-password-dialog", never, {}, {}, never, never, true, never>;
}
