import { ElementRef } from '@angular/core';
import { TruUiNotification } from '../../../services/tru-ui-notification';
import { TruUser } from '../../../services/tru-user';
import { TruAuth } from '../../login/services/tru-auth';
import { TruEntityAccessor } from '../../../services/tru-entity-accessor';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class TruToolbarAppCustomization {
    private dialog;
    private entityAccessor;
    private user;
    private auth;
    private uiNotification;
    private _dialog;
    fileInputElement: ElementRef;
    initial: string | null | undefined;
    name: string | null | undefined;
    email: string | null | undefined;
    constructor(dialog: MatDialog, entityAccessor: TruEntityAccessor, user: TruUser, auth: TruAuth, uiNotification: TruUiNotification);
    importFiles: (files: Array<File>) => void;
    onImportClicked: () => void;
    onSettingsClicked: () => void;
    onAboutClicked: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruToolbarAppCustomization, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruToolbarAppCustomization, "tru-toolbar-app-customization", never, {}, {}, never, never, true, never>;
}
