import { ComponentFactoryResolver, ElementRef, OnDestroy, OnInit, SimpleChanges, ViewContainerRef } from '@angular/core';
import { TruEditControlConfigBase } from '../../base-classes/tru-edit-control-config-base';
import { TruListControlConfigBase } from '../../base-classes/tru-list-control-config-base';
import { TruDataContext } from '../../services/tru-data-context';
import * as i0 from "@angular/core";
export declare class TruBreezeValidator implements OnInit, OnDestroy {
    private el;
    private dataContext;
    private viewContainerRef;
    private componentFactoryResolver;
    entity: any;
    config: TruEditControlConfigBase<any> | TruListControlConfigBase<any>;
    constructor(el: ElementRef, dataContext: TruDataContext, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    configModel: any;
    mergeData: any;
    private dialogRef;
    private subs;
    private currentDialog;
    private context;
    private getMergeData;
    private parseErrorMessages;
    private addValidationDialog;
    private removeValidationDialog;
    valErrsChanged: (validationObject: any) => void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruBreezeValidator, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TruBreezeValidator, "[truBreezeValidator]", never, { "entity": { "alias": "truBreezeValidator"; "required": false; }; "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
