import { ElementRef, Renderer2 } from "@angular/core";
import * as i0 from "@angular/core";
export declare class TruSearchPanelPositionManager {
    private el;
    private renderer;
    config: any;
    private searchViewPortal;
    private tab;
    private dropZones;
    private dragHandles;
    private currentWidth;
    private currentMinWidth;
    private mouseOffsetX;
    private lastMouseX;
    private dragHandle;
    private listeners;
    private mousemoveListener;
    private mouseupListener;
    constructor(el: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    private addTabEventListeners;
    private addDropzoneEventListeners;
    private addDragHandleEventListeners;
    private addPointerEvents;
    private removePointerEvents;
    private addMouseoverDropzoneStyles;
    private removeMouseoverDropzoneStyles;
    private dragStart;
    private dragEnd;
    private dragOver;
    private dragLeave;
    private drop;
    private mousedown;
    private mouseMove;
    private mouseUp;
    private updateSide;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruSearchPanelPositionManager, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TruSearchPanelPositionManager, "[truSearchPanelPositionManager]", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
