import { TruUser } from './tru-user';
import { TruDataContext } from './tru-data-context';
import { TruModelTypeLookup } from './tru-model-type-lookup';
import { Observable } from 'rxjs';
import { TruAppEnvironment } from './tru-app-environment';
import { TruActionInvoke } from './tru-action-invoke';
import * as i0 from "@angular/core";
export declare class TruReportManager {
    private dataContext;
    private modelTypeLookup;
    private appEnvironment;
    private actionInvoke;
    private user;
    constructor(dataContext: TruDataContext, modelTypeLookup: TruModelTypeLookup, appEnvironment: TruAppEnvironment, actionInvoke: TruActionInvoke, user: TruUser);
    private setupMenuImpl;
    get(url: string, method: string, callback: (o: any) => any, params?: null): XMLHttpRequest;
    private setupMenu;
    queryReports: (tableName: string, menu: any, getActionRefs: () => string, enabled: () => {}) => Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruReportManager, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruReportManager>;
}
