import * as i0 from "@angular/core";
export declare class TruUser implements ITruUser {
    private _ref;
    private _username;
    private _firstName;
    private _lastName;
    private _email;
    private _roles;
    constructor();
    get activeUserRef(): number;
    get username(): string | null;
    get firstName(): string | null;
    get lastName(): string | null;
    get email(): string | null;
    get roles(): string[] | null;
    hasRoles: (roles: string[]) => boolean;
    create: (user: ITruUser) => void;
    destroy: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruUser, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruUser>;
}
export interface ITruUser {
    activeUserRef: number;
    username: string | null;
    firstName: string | null;
    lastName: string | null;
    email: string | null;
    roles: string[] | null;
}
