import { Observable } from 'rxjs';
import { TruPropertyConfigBase } from './tru-property-config-base';
import { TruEntityBase } from './tru-entity-base';
export declare abstract class TruControlComponentConfigBase {
    abstract label: string | undefined;
    abstract propertyName: string | undefined;
    abstract rootTable: string | undefined;
    abstract relatedTableType: typeof TruEntityBase | undefined;
    abstract propertyPath: string | undefined;
    abstract get property(): TruPropertyConfigBase;
    abstract value: (entity: any) => {};
    constructor();
    protected hid?(entity: TruEntityBase): string | null | undefined;
    protected goTo?(entity: TruEntityBase): void;
    protected choices?(): Observable<{
        label: string;
        value: {
            $: any;
        };
    }[]>;
}
