import { TruWindowEventHandler } from '../../components/desktop/services/tru-window-event-handler';
import { TruUiNotification } from '../../services/tru-ui-notification';
import * as i0 from "@angular/core";
export declare class TruSearchResultViewBase {
    private uiNotification;
    private truWindowEventHandler;
    view: any;
    protected tableName: string;
    protected tablePluralName: string;
    protected tablePluralLabel: string;
    protected parentTableName: string | undefined;
    protected parentTablePluralName: string | undefined;
    protected parentTablePluralLabel: string | undefined;
    protected hasDetailView: boolean;
    searchPanelConfig: {
        side: string;
        active: boolean;
        open: boolean;
        modKeyLabel: string;
        size: number;
        pinned: boolean;
    };
    constructor(uiNotification: TruUiNotification, truWindowEventHandler: TruWindowEventHandler);
    onPkeyCellDoubleClicked: (gridConfig: any) => void;
    onCardColumnClicked: (entities: any) => void;
    onCardDoubleClicked: (entities: any, index: number) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruSearchResultViewBase, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruSearchResultViewBase, "tru-search-result-view-base", never, { "view": { "alias": "view"; "required": false; }; }, {}, never, never, true, never>;
}
