import { TruTableConfigBase } from "../../../base-classes/tru-table-config-base";
import { TruViewMenuConfig } from "../../../classes/tru-view-menu-config";
import { TruDesktopViewConfig } from "../../desktop/classes/tru-desktop-view-config";
export interface ITruDataGridConfig {
    tableName: string;
    tablePluralName: string;
    tablePluralLabel: string;
    parentTableName: string;
    parentTablePluralName: string;
    parentTablePluralLabel: string;
    parentTableRefName?: string;
    parentTableRelationshipRefName?: string;
    resultConfig: any;
    tableConfig: TruTableConfigBase;
    noQuery: boolean;
    viewMenuConfig: TruViewMenuConfig;
    customToolbarComponents: Array<string>;
    rowHeaderDoubleClicked: (data: any) => void;
    view: TruDesktopViewConfig;
}
