import { FormControl } from '@angular/forms';
import { MatSelectionListChange } from '@angular/material/list';
import { IFilterAngularComp } from 'ag-grid-angular';
import { IAfterGuiAttachedParams, type IDoesFilterPassParams, type IFilterParams } from 'ag-grid-community';
import * as i0 from "@angular/core";
interface Sorts {
    value: string | null;
    label: string;
    selected: boolean;
    display: () => boolean;
    icon: string;
}
export declare class TruDataGridHeaderFilter implements IFilterAngularComp {
    filterParams: IFilterParams;
    gui: HTMLDivElement;
    filterText: string;
    typesOfSort: Sorts[];
    values: string[];
    filterInputControl: FormControl;
    constructor();
    agInit(params: IFilterParams): void;
    isFilterActive(): boolean;
    doesFilterPass(params: IDoesFilterPassParams): boolean;
    getModel(): {
        value: string;
    } | null;
    setModel(model: any): void;
    getGui(): HTMLElement;
    afterGuiAttached(params?: IAfterGuiAttachedParams): void;
    onFilterInputChanged(): void;
    onSortSelection: (changeEvent: MatSelectionListChange) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruDataGridHeaderFilter, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruDataGridHeaderFilter, "ng-component", never, {}, {}, never, never, true, never>;
}
export {};
