import { TruContextFilter } from '../../../classes/tru-context-filter';
import { TruDataContext } from '../../../services/tru-data-context';
import { Subject } from 'rxjs';
import { TruWindowCloseEventArgs } from './tru-window-close-event-args';
import * as i0 from "@angular/core";
export declare class TruWindowEventArgs {
    title: string;
    tableName: string;
    tablePluralName: string;
    tablePluralLabel: string;
    parentDataContext: TruDataContext | null;
    parentView: any | null;
    isModal: boolean;
    showNavigation: boolean;
    contentBottom: string;
    statusbarDirective: string;
    height: string;
    width: string;
    views: Array<object>;
    contextFilters: Array<TruContextFilter>;
    onClose$: Subject<TruWindowCloseEventArgs>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruWindowEventArgs, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruWindowEventArgs>;
}
