import { Subject } from 'rxjs';
import { TruDesktopViewConfig } from '../classes/tru-desktop-view-config';
import { TruWindowCloseEventArgs } from './tru-window-close-event-args';
import * as i0 from "@angular/core";
export declare class TruWindowEventHandler {
    private close$;
    private addView$;
    private active$;
    private setWindowTitle$;
    private removeForwadViews$;
    onClose(): Subject<TruWindowCloseEventArgs | null>;
    close(windowCloseEventArgs?: TruWindowCloseEventArgs | null): void;
    onAddView(): Subject<TruDesktopViewConfig>;
    addView(windowAddViewEvent: TruDesktopViewConfig): void;
    onActiveStateChanged(): Subject<boolean>;
    activeStateChanged(active: boolean): void;
    onRemoveForwardViews(): Subject<null>;
    removeForwardViews(): void;
    onSetWindowTitle(): Subject<string>;
    setWindowTitle(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruWindowEventHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruWindowEventHandler>;
}
