import { HttpRequest, HttpHandler, HttpEvent, HttpInterceptor } from "@angular/common/http";
import { Observable } from "rxjs";
import { TruErrorManager } from "../../../services/tru-error-manager";
import * as i0 from "@angular/core";
export declare class TruErrorInterceptor implements HttpInterceptor {
    private errorManager;
    constructor(errorManager: TruErrorManager);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruErrorInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruErrorInterceptor>;
}
