import { HttpRequest, HttpHandler, HttpEvent, HttpInterceptor } from "@angular/common/http";
import { Observable } from "rxjs";
import { TruAuth } from "./tru-auth";
import { TruAuthJwtStrategy } from "../classes/tru-auth-jwt-strategy";
import { TruAppEnvironment } from "../../../services/tru-app-environment";
import * as i0 from "@angular/core";
export declare class TruAuthInterceptor implements HttpInterceptor {
    private auth;
    private appEnvironment;
    private jwt;
    constructor(auth: TruAuth, appEnvironment: TruAppEnvironment, jwt: TruAuthJwtStrategy);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private addToken;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruAuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruAuthInterceptor>;
}
