import { FormGroup, FormControl } from '@angular/forms';
import { TruAuth } from './services/tru-auth';
import { TruAppEnvironment } from '../../services/tru-app-environment';
import * as i0 from "@angular/core";
export declare class TruLogin {
    private auth;
    private appEnvironment;
    loginForm: FormGroup<{
        username: FormControl<string | null>;
        password: FormControl<string | null>;
    }>;
    loginError: string;
    isLoggingIn: boolean;
    title: string;
    constructor(auth: TruAuth, appEnvironment: TruAppEnvironment);
    get f(): {
        username: FormControl<string | null>;
        password: FormControl<string | null>;
    };
    isDisabled: () => boolean;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruLogin, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruLogin, "tru-login", never, {}, {}, never, never, false, never>;
}
