import { TruSearchViewBase } from '../../base-views/search/tru-search-view-base';
import { TruDesktopManager } from '../desktop/services/tru-desktop-manager';
import { TruWindowEventHandler } from '../desktop/services/tru-window-event-handler';
import { TruUser } from '../../services/tru-user';
import { TruUiNotification } from '../../services/tru-ui-notification';
import * as i0 from "@angular/core";
export declare class TruReportView extends TruSearchViewBase {
    private uiNotification;
    private user;
    view: any;
    iframe: HTMLIFrameElement;
    isBusy: boolean;
    private subs;
    constructor(desktopManager: TruDesktopManager, windowEventHandler: TruWindowEventHandler, uiNotification: TruUiNotification, user: TruUser);
    onLoad(iframe: HTMLIFrameElement): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruReportView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruReportView, "tru-report-view", never, { "view": { "alias": "view"; "required": false; }; }, {}, never, never, true, never>;
}
