import { AfterViewInit, EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import { MatSelect, MatSelectChange } from '@angular/material/select';
import { ITruToolbarDropdownOption } from '../classes/tru-toolbar-dropdown-option';
import * as i0 from "@angular/core";
export declare class TruToolbarDropdown implements OnInit, AfterViewInit {
    config: [] | null;
    options: Array<ITruToolbarDropdownOption> | null;
    tooltip: string;
    multiple: boolean;
    filterable: boolean;
    filterTooltip: string;
    width: number;
    selectedOption: ITruToolbarDropdownOption;
    selectedOptionChange: EventEmitter<ITruToolbarDropdownOption>;
    disabled: boolean;
    selectionChange: EventEmitter<ITruToolbarDropdownOption[] | null>;
    select: MatSelect;
    filteredOptions: Array<ITruToolbarDropdownOption> | null;
    selectedOptions: Array<ITruToolbarDropdownOption>;
    selectAll: boolean;
    selectAllLabel: string;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    toggleSelectAll: () => void;
    onSelectionChange: (event: MatSelectChange) => void;
    onFilterChange: (event: any) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruToolbarDropdown, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TruToolbarDropdown, "tru-toolbar-dropdown", never, { "config": { "alias": "config"; "required": false; }; "options": { "alias": "options"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; "filterTooltip": { "alias": "filterTooltip"; "required": false; }; "width": { "alias": "width"; "required": false; }; "selectedOption": { "alias": "selectedOption"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "selectedOptionChange": "selectedOptionChange"; "selectionChange": "selectionChange"; }, never, never, true, never>;
}
