import { TruEditControlConfigBase } from "../../base-classes/tru-edit-control-config-base";
import { TruEntityBase } from "../../base-classes/tru-entity-base";
import { TruListControlConfigBase } from "../../base-classes/tru-list-control-config-base";
import { TruMergeDataSet } from "../../classes/tru-merge-data-set";
import { TruValidationDialogContext } from "./tru-validation-dialog-context";
export declare class TruValidationDialogConfig {
    private _entity;
    private _propertyConfig;
    private _context;
    private _isSubProperty;
    private _ignore;
    private _propertyName;
    private _errorMsg;
    private _mergeData;
    get entity(): TruEntityBase;
    get propertyConfig(): TruEditControlConfigBase<any> | TruListControlConfigBase<any>;
    get context(): TruValidationDialogContext;
    get isSubProperty(): boolean;
    get ignore(): boolean;
    get propertyName(): string | null;
    set propertyName(value: string);
    get errorMsg(): string | null;
    set errorMsg(value: string);
    get mergeData(): TruMergeDataSet | null;
    set mergeData(value: TruMergeDataSet | null);
    constructor(entity: TruEntityBase, propertyConfig: TruEditControlConfigBase<any> | TruListControlConfigBase<any>, context?: TruValidationDialogContext, isSubProperty?: boolean, ignore?: boolean);
}
