import { TruAppEnvironment } from "./tru-app-environment";
import { TruUser } from "./tru-user";
import { TruUtil } from "./tru-util";
import * as i0 from "@angular/core";
export declare class TruCloudFileManager {
    private appEnvironment;
    private util;
    private user;
    private baseUrl;
    private reader;
    private file;
    private sliceSize;
    constructor(appEnvironment: TruAppEnvironment, util: TruUtil, user: TruUser);
    private getFileLength;
    private uploadFile;
    upload: (tableName: string, propertyName: string, fileData: File, temp: any, updateProgress: (progress: number) => {}, done: (response: any | undefined) => {}) => void;
    download: (blobId: string, temp: any, filename: string, updateProgress: (progress: number) => {}, done: () => {}) => void;
    sasUrl: (blobId: string, temp: boolean, filename: string, updateProgress: () => {}, done: (blob: any) => {}) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruCloudFileManager, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruCloudFileManager>;
}
