import { Subject } from 'rxjs';
import { TruEntityBase } from '../base-classes/tru-entity-base';
import { TruDataChange } from '../classes/tru-data-change';
import { TruAppEnvironment } from './tru-app-environment';
import { TruDataContext } from './tru-data-context';
import { TruModelPropertyLookup } from './tru-model-property-lookup';
import { TruModelTypeLookup } from './tru-model-type-lookup';
import * as i0 from "@angular/core";
export declare class TruConnectionHub {
    private dataContext;
    private appEnvironment;
    private modelTypeLookup;
    private modelPropertyLookup;
    private connection;
    constructor(dataContext: TruDataContext, appEnvironment: TruAppEnvironment, modelTypeLookup: TruModelTypeLookup, modelPropertyLookup: TruModelPropertyLookup);
    disconnect: () => void;
    connect: () => void;
    start: () => void;
    subscribe: (dataContext: TruDataContext, entity: typeof TruEntityBase, tableName: string, addEntity: (newEntity: any) => void, getLatestResults: () => any, getLatestQuery: () => any, contextFilters: [], expandPaths: Array<string>, isLoaded: () => boolean) => Subject<TruDataChange>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruConnectionHub, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruConnectionHub>;
}
