import { ApplicationRef, ComponentFactoryResolver, Injector } from "@angular/core";
import { TruUiNotification } from "./tru-ui-notification";
import { TruTextManager } from "./tru-text-manager";
import { MatDialog } from "@angular/material/dialog";
import { HttpClient, HttpErrorResponse } from "@angular/common/http";
import { TruAppEnvironment } from "./tru-app-environment";
import { TruComponentLookup } from "./tru-component-lookup";
import * as i0 from "@angular/core";
export declare class TruErrorManager {
    private http;
    private dialog;
    private textManager;
    private uiNotification;
    private componentLookup;
    private componentFactoryResolver;
    private appRef;
    private injector;
    private appEnvironment;
    private baseUrl;
    private appName;
    constructor(http: HttpClient, dialog: MatDialog, textManager: TruTextManager, uiNotification: TruUiNotification, componentLookup: TruComponentLookup, componentFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, injector: Injector, appEnvironment: TruAppEnvironment);
    private handleClientSideError;
    private handleServerSideError;
    handleError: (error: HttpErrorResponse) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruErrorManager, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruErrorManager>;
}
