import { TruAppEnvironment } from "./tru-app-environment";
import { TruModelTypeLookup } from "./tru-model-type-lookup";
import * as i0 from "@angular/core";
export declare class TruFormatter {
    private appEnvironemt;
    private modelTypeLookup;
    constructor(appEnvironemt: TruAppEnvironment, modelTypeLookup: TruModelTypeLookup);
    private formatDate;
    private isDate;
    private isPromise;
    bigInteger: (cfg: any) => any;
    boolean: (cfg: any) => "True" | "False" | null;
    choiceLabel: (cfg: any) => any;
    dateShort: (cfg: any) => string | null;
    datetimeShort: (cfg: any) => string | null;
    datetimespanShort: (cfg: any) => string;
    decimal: (cfg: any) => any;
    excelFormula: (val: any) => any;
    file: (cfg: any) => string | null;
    float: (cfg: any) => any;
    id: (value: string | null) => string | null;
    integer: (cfg: any) => any;
    intlAddress: (cfg: any) => string;
    intlAddressBasic: (cfg: any) => string;
    naPhone: (number: any) => any;
    intlPhone: (cfg: any) => string;
    password: (cfg: any) => "" | "********" | null;
    percentage: (cfg: any) => any;
    picture: (cfg: any) => string;
    ref: (cfg: any) => any;
    richText: (cfg: any) => any;
    socialSecurityNumber: (cfg: any) => string | null;
    text: (cfg: any) => any;
    textFormatting: (text: any) => any;
    timeShort: (cfg: any) => string | null;
    timeSpanHhMmSs: (cfg: any) => string;
    usaAddress: (cfg: any) => string | null;
    usaDollars: (cfg: any) => string | null;
    usaSocialSecurity: (cfg: any) => string | null;
    usaZip: (cfg: any) => any;
    zipCode: (cfg: any) => any;
    passwordEightBullets: (cfg: any) => any;
    formulaJsonParser: (formatter: (value: any) => any, data: string) => any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruFormatter, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruFormatter>;
}
