import { TruEntityBase } from '../base-classes/tru-entity-base';
import * as i0 from "@angular/core";
export declare class TruUtil {
    private keyboardMap;
    constructor();
    numberToString: (value: number | undefined) => string;
    nullableNumberToString: (value: number | null | undefined) => string;
    tryParseInt: (str: any, defaultValue: any) => any;
    tryParseBool(value: any, defaultValue: any): any;
    findClosestAncestorByClass: (element: any, cssSelector: string) => any;
    isNumeric: (n: any) => boolean;
    isNumber: (value: any) => boolean;
    removeNonNumericCharactersFromStr: (value: string) => string;
    isDate: (date: Date) => boolean;
    isValidDate: (value: string) => boolean;
    rulesEval: (styles: object | null) => object;
    /**
      * Serializes an object as URL parameters.  The object should be a base type or have
      * properties that are each base types.  Does not support a property with structure.
      * @param {Object} data
      * @returns {String}
      */
    formatAsUrlParameters: (data: any) => string;
    showEntityStatus: (entity: TruEntityBase, entityType: string | null, formatedRecordId: string | null | undefined) => string;
    getKeySequence: (event: any) => string;
    targetIsControl: (target: HTMLElement) => boolean;
    isLowerCase: (str: string) => boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TruUtil, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TruUtil>;
}
